"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.prepareStandard = void 0;
const opLog_1 = require("../opLog/opLog");
const getDirectory_1 = require("./getDirectory");
const path_1 = require("path");
function prepareStandard(dir, alternativeConfigFile) {
    const opLog = opLog_1.getOpLog();
    const directory = getDirectory_1.getDirectory(dir);
    let resolvedConfigFile;
    //if an alternative configFile is given, we resolve it based on the cwd
    //else we look in the project folder
    if (alternativeConfigFile) {
        resolvedConfigFile = path_1.resolve(process.cwd(), alternativeConfigFile);
    }
    else {
        resolvedConfigFile = path_1.resolve(directory, "ayakashi.config.js");
    }
    opLog.info("running project:", directory);
    opLog.info("configFile:", resolvedConfigFile);
    try {
        return {
            config: require(resolvedConfigFile),
            directory: directory
        };
    }
    catch (_e) {
        opLog.error("Could not find a valid ayakashi config file");
        return process.exit(1);
    }
}
exports.prepareStandard = prepareStandard;
